%bcond_with doc

%global pypi_name oslo.concurrency
%global pkg_name oslo-concurrency

Summary:        OpenStack Oslo concurrency library
Name:           python-%{pkg_name}
Version:        4.4.0
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://launchpad.net/oslo
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
Oslo concurrency library has utilities for safely running multi-thread, multi-process applications
using locking mechanisms and for running external processes.

%package -n python3-%{pkg_name}
Summary:        OpenStack Oslo concurrency library

BuildRequires:  python3-devel python3-pbr git-core python3-hacking python3-oslotest python3-fixtures
BuildRequires:  python3-eventlet python3-oslo-config python3-oslo-utils python3-fasteners python3-babel
Requires:       python3-pbr python3-oslo-config python3-oslo-i18n python3-oslo-utils python3-fasteners
Requires:       python-%{pkg_name}-lang = %{version}-%{release}

%description -n python3-%{pkg_name}
Oslo concurrency library has utilities for safely running multi-thread, multi-process applications
using locking mechanisms and for running external processes.

%package  -n python3-%{pkg_name}-tests
Summary:    Tests for the Oslo concurrency library
Requires:  python3-%{pkg_name} = %{version}-%{release} python3-hacking python3-oslotest python3-fixtures

%description -n python3-%{pkg_name}-tests
Tests for the Oslo concurrency library.

%package  -n python-%{pkg_name}-lang
Summary:   Translation files for Oslo concurrency library

%description -n python-%{pkg_name}-lang
Translation files for Oslo concurrency library

%if 0%{?with doc}
%package  -n python-%{pkg_name}-doc
Summary:    Documentation for the Oslo concurrency library
BuildRequires:  python3-sphinx python3-openstackdocstheme python3-sphinxcontrib-apidoc

%description -n python-%{pkg_name}-doc
Documentation for the Oslo concurrency library.
%endif

%prep
%autosetup -n %{pypi_name}-%{version} -S git
rm -rf {test-,}requirements.txt

%build
%{py3_build}
python3 setup.py compile_catalog -d build/lib/oslo_concurrency/locale --domain oslo_concurrency

%if 0%{?with doc}
sphinx-build-3 -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}
ln -s ./lockutils-wrapper %{buildroot}%{_bindir}/lockutils-wrapper-3

install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/oslo_concurrency/locale/*/LC_*/oslo_concurrency*po
rm -f %{buildroot}%{python3_sitelib}/oslo_concurrency/locale/*pot
mv %{buildroot}%{python3_sitelib}/oslo_concurrency/locale %{buildroot}%{_datadir}/locale

%find_lang oslo_concurrency --all-name

%check
export PYTHON_DISALLOW_AMBIGUOUS_VERSION=0
python3 setup.py test

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{_bindir}/lockutils-wrapper
%{_bindir}/lockutils-wrapper-3
%{python3_sitelib}/oslo_concurrency
%{python3_sitelib}/*.egg-info
%exclude %{python3_sitelib}/oslo_concurrency/tests

%files -n python3-%{pkg_name}-tests
%{python3_sitelib}/oslo_concurrency/tests

%files -n python-%{pkg_name}-lang -f oslo_concurrency.lang
%license LICENSE

%if 0%{?with doc}
%files -n python-%{pkg_name}-doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.4.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 Shuo Wang <abushwang@tencent.com> - 4.4.0-1
- initial build
